package it.eng.spagosoa.smx.components.attachments;

import javax.jbi.JBIException;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.servicemix.components.util.TransformComponentSupport;

public abstract class AttachmentTransformComponentSupport extends TransformComponentSupport {
	
	private static final Log log = LogFactory.getLog(AttachmentsToMessageContent.class);
	
	private String base64attachmentElementName = null;

	public String getBase64attachmentElementName() {
		return base64attachmentElementName;
	}

	public void setBase64attachmentElementName(String base64XPathNodes) {
		this.base64attachmentElementName = base64XPathNodes;
	}

	public void start() throws JBIException {
		
		setCopyProperties(true);
		setCopyAttachments(false);
		if ((base64attachmentElementName == null) || base64attachmentElementName.trim().length() <= 0){
			base64attachmentElementName = "BASE64-ATTACHMENT";
			log.info("base64attachmentElementName property not specified set to BASE64-ATTACHMENT ");
		}

	}
}
