/**

    Copyright 2007 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spagic.

    Spagic is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spagic is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
**/
package it.eng.spagosoa.smx.components.jdbc;

import java.util.List;

import org.apache.servicemix.common.DefaultComponent;

// Referenced classes of package it.eng.spagosoa.smx.components.jdbc:
//            JdbcSenderEndpoint, JdbcEndpointType
/**
 * @org.apache.xbean.XBean
 */
public class JdbcComponent extends DefaultComponent
{

    private JdbcEndpointType endpoints[];

    public JdbcComponent()
    {
    }

    public JdbcEndpointType[] getEndpoints()
    {
        return endpoints;
    }

    public void setEndpoints(JdbcEndpointType endpoints[])
    {
        this.endpoints = endpoints;
    }

    protected List getConfiguredEndpoints()
    {
        return asList(getEndpoints());
    }

    protected Class[] getEndpointClasses()
    {
        return (new Class[] {
        		it.eng.spagosoa.smx.components.jdbc.JdbcPollerEndpoint.class
        });
    }

//    protected Endpoint getResolvedEPR(ServiceEndpoint ep)
//        throws Exception
//    {
//        JdbcSenderEndpoint fileEp = new JdbcSenderEndpoint(this, ep);
//        URI uri = new URI(ep.getEndpointName());
//        String file = null;
//        String host = uri.getHost();
//        String path = uri.getPath();
//        if(host != null)
//        {
//            if(path != null)
//            {
//                file = host + File.separator + path;
//            } else
//            {
//                file = host;
//            }
//        } else
//        if(path != null)
//        {
//            file = path;
//        } else
//        {
//            file = uri.getSchemeSpecificPart();
//        }
//        java.util.Map map = URISupport.parseQuery(uri.getQuery());
//        IntrospectionSupport.setProperties(fileEp, map);
//        if(file != null)
//        {
//            fileEp.setDirectory(new File(file));
//        } else
//        {
//            throw new IllegalArgumentException("No file defined for URL: " + uri);
//        }
//        fileEp.activate();
//        return fileEp;
//    }
}
